%define xtag X11R7.3
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libFS runtime library
Name: 		libFS
Version: 	1.0.0
Release: 	3
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
Source0:	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	xorg-x11-xtrans-devel

Obsoletes: 	xorg-libs

%description
X.Org X11 libFS runtime library

%package devel
Summary: 	X.Org X11 libFS development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# NOTE: Required by libfs.pc
Requires: 	xorg-x11-proto-devel

Provides: 	%{name}-devel
Obsoletes: 	xorg-devel

%description devel
X.Org X11 libFS development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libFS.so.6
%{_libdir}/libFS.so.6.0.0

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/X11
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/FSlib.h
%if %{with_static}
%{_libdir}/libFS.a
%endif
%{_libdir}/libFS.so
%{_libdir}/pkgconfig/libfs.pc

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-3
- rebuilt for xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-2
- rebuilt for xorg 7.2
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- initial release
